package sk.telepovsky.android.tutorials.components;

import sk.telepovsky.android.tutorials.R;
import sk.telepovsky.android.tutorials.helpers.GUI;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Typeface;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.EditText;

public class EditTextCustom extends EditText {
    private static final String TAG = "EditText";

    public EditTextCustom(Context context) {
	super(context);
    }

    public EditTextCustom(Context context, AttributeSet attrs) {
	super(context, attrs);
	setFont(context, attrs);
    }

    public EditTextCustom(Context context, AttributeSet attrs, int defStyle) {
	super(context, attrs, defStyle);
	setFont(context, attrs);
    }

    private void setFont(Context ctx, AttributeSet attrs) {
	TypedArray a = ctx.obtainStyledAttributes(attrs, R.styleable.CustomFont);
	String customFont = a.getString(R.styleable.CustomFont_font);
	setFont(ctx, customFont);
	a.recycle();
    }

    public boolean setFont(Context ctx, String asset) {
	Typeface tf = null;
	try {
	    tf = GUI.getFont(ctx, asset);
	} catch (Exception e) {
	    Log.e(TAG, "Could not get typeface: " + e.getMessage());
	    return false;
	}

	setTypeface(tf);
	return true;
    }
}