package sk.telepovsky.android.tutorials.helpers;

import java.lang.ref.SoftReference;
import java.util.Hashtable;

import android.content.Context;
import android.graphics.Typeface;

public class GUI  {
    
    private static final Hashtable<String, SoftReference<Typeface>> fontCache = new Hashtable<String, SoftReference<Typeface>>();
    
    public static Typeface getFont(Context ctx, String asset) {
	synchronized (fontCache) {
	    if (fontCache.get(asset) != null) {
		SoftReference<Typeface> ref = fontCache.get(asset);
		if (ref.get() != null) {
		    return ref.get();
		}
	    }

	    Typeface typeface = Typeface.createFromAsset(ctx.getAssets(), asset);
	    fontCache.put(asset, new SoftReference<Typeface>(typeface));

	    return typeface;
	}
    }
}